---
title: XMLHttpRequest.responseURL
slug: Web/API/XMLHttpRequest/responseURL
tags:
  - AJAX
  - Property
  - Read-only
  - Reference
  - URL
  - XMLHttpRequest
  - responseURL
---
<div>{{APIRef('XMLHttpRequest')}}</div>

<p>The read-only <code><strong>XMLHttpRequest.responseURL</strong></code> property returns the serialized URL of the response or the empty string if the URL is <code>null</code>. If the URL is returned, any URL fragment present in the URL will be stripped away. The value of <code>responseURL</code> will be the final URL obtained after any redirects.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var xhr = new XMLHttpRequest();
xhr.open('GET', 'http://example.com/test', true);
xhr.onload = function () {
  console.log(xhr.responseURL); // http://example.com/test
};
xhr.send(null);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('XMLHttpRequest', '#the-responseurl-attribute')}}</td>
   <td>{{Spec2('XMLHttpRequest')}}</td>
   <td>WHATWG living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XMLHttpRequest.responseURL")}}</p>
